#include <gccore.h>

#pragma once 

//--------------------------------------------------------------
class CCamera {

public:		
			CCamera() ;		
			void CalculateProjection( void) ;
			void SetEye( float x, float y, float z) ;
			void SetFocus( float x, float y, float z) ;
			void RotateEye( float dH, float dV) ;
	
   // picking on Plane	
			void SetCursorPos( int WiimoteX, int WiimoteY) ;
	inline 	Vector  GetRayDir( void) { return m_vtCurrRay; } ;
	inline 	Vector  GetRayOri( void) { return m_CamEye; } ;
   inline 	Vector  GetRayDirScreen( void) { return m_vtCurrRayScreen; } ;

   inline 	Vector  Eye( void) { return m_CamEye ; } ;
	inline 	Vector  Focus( void) { return m_CamFc ; } ;
	
			void 	SetRefSketch( Vector& ptPlane, Vector& vtPlane) ;
			int  	GetCursorSketch( Vector* pptRet) ;
			void	ScreenToPoint2D( int WiimoteX, int WiimoteY, Vector* pt) ;
	
public:	
	Mtx 	m_view ;
	Mtx44 	m_perspective ;
	
private:
	Vector 	m_CamEye  ; 
	Vector 	m_CamFc ;
	Mtx		m_inv_view ;
	Vector  m_ptPlane ;
	Vector  m_vtPlane ;
	Vector  m_vtCurrRay ;
   Vector  m_vtCurrRayScreen ;
} ;
