#include "..\include\grobject.h"

#pragma once

//--------------------------------------------------------------
class CMy147 : public CVtxObject 
{
static	int m_nTexID1 ;
static	int m_nTexID2 ;
public:
   CMy147() ;
   void SetColor( int nColor) ;
} ;

//--------------------------------------------------------------
class CPointer : public CVtxObject 
{
static	int m_nTexID ;
public:
   CPointer() ;
} ;

//--------------------------------------------------------------
class CTerrain : public CVtxObject 
{
static int m_nTexID ;
public:
   CTerrain() ;
} ;

//--------------------------------------------------------------
class CSky : public CVtxObject 
{
static int m_nTexID ;
public:
   CSky() ;
} ;

//--------------------------------------------------------------
class CBus : public CVtxObject 
{
static	int m_nTexID ;
public:
   CBus() ;   
} ;

//--------------------------------------------------------------
class CHouse : public CVtxObject 
{
private:
	static   int 	m_nTexID ;

public:
	CHouse() ;
} ;

//--------------------------------------------------------------
class CTitle : public CVtxObject 
{
private:
	static   int 	m_nTexID ;

public:
	CTitle() ;
   void  SetSize( float W, float H) ;
   
   float modelTitle_vtx[4][3] ;
} ;

//--------------------------------------------------------------
class CShadow : public CVtxObject 
{
private:
	static   int 	m_nTexID ;
   CGraphicObject*    m_pSource ;
   float modelTitle_vtx[4][3] ;
   
public:
   CShadow() ;
   void     SetSource( CGraphicObject* sorce) ;
   virtual  void Render() ;
} ;
