/****************************************************************************
*	EK's ITALIAN parking                                                     *
*	        																                   *
*	17.04.09 Main.cpp             										          *
* 	        																                   *
****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <math.h>
#include <gccore.h>
#include <game.h>
#include <Intro.h>
#include <wiiuse/wpad.h>
#include <levels_txt.h>

#include "..\include\MyModels.h"
#include "..\include\TextObj.h"
#include "..\include\framework.h"
 

CPointer* 	vtxPointerScr ;



//---------------------------------------------------------------------------------
int main( int argc, char **argv ){
//---------------------------------------------------------------------------------
	PAD_Init();
	WPAD_Init();

	FRAMEWORK->InitVideo(); // Initialise video
	//InitAudio(); // Initialize audio
	/////////////////////


   // not visible
    vtxPointerScr = new CPointer ;
	vtxPointerScr->SetPos( 4, 4, -1) ;
	FRAMEWORK->SetPointer( vtxPointerScr, FALSE) ;
	vtxPointerScr->SetID(10) ;  
   
   while ( 1) {
      int nLevel = 2 ;
         	
	  // intro's 
     if (1) {
         CIntro intro ;
         while ( intro.DoIntro())          
            FRAMEWORK->RenderScene() ;	
      }
      
      
      // game 
      if ( 1) {        
        bool  nOk ;
        int   nLevels ;
        CGame	game ;
         
        // count available levels ; 
        nLevels = 0 ;
        nOk = 1 ;
        while ( nOk > 0 && nLevels<10) {
            nLevels++ ;
            nOk = game.ParseLevel( nLevels, (char*)levels_txt, levels_txt_size, true) ;
         } ;
         nLevels-=1 ;
         
        // choose the level 
         CChooser chooser( nLevels) ;         
         nLevel = 0 ;
         while ( nLevel == 0) {
            nLevel = chooser.GetChoose() ;
            FRAMEWORK->RenderScene() ;	
         }
      }
         
      if ( 1) {
   
         CGame	game ;
         game.ParseLevel( nLevel, (char*)levels_txt, levels_txt_size, false) ;
        
         while( game.IsNotEnd() && nLevel > 0) {
            
            ir_t  ir; 
            WPAD_IR(WPAD_CHAN_0, &ir);	
            game.MainCycle( ir) ;
            
            FRAMEWORK->RenderScene() ;	
         }
         WPAD_Rumble( 0, 0); // rumble off
      }
   }
	return 0;
}
 


